
<!--sidebar end-->
<!--main content start-->
<section id="main-content">
    <section class="wrapper site-min-height">
        <!-- page start-->
        <section class="panel">
            <header class="panel-heading">
                <?php echo lang('featured_doctors'); ?>

                <div class="col-md-4 no-print pull-right"> 
                    <div class="pull-right"></div>
                    <a data-toggle="modal" href="featured/addNewView">
                        <div class="btn-group pull-right">
                            <button id="" class="btn green btn-xs">
                                <i class="fa fa-plus-circle"></i> <?php echo lang('add_doctor'); ?>
                            </button>
                        </div>
                    </a>
                </div>
            </header>
            <div class="panel-body">
                <div class="adv-table editable-table ">
                    <div class="space15"></div>
                    <table class="table table-striped table-hover table-bordered" id="editable-sample">
                        <thead>
                            <tr>
                                <th><?php echo lang('image'); ?></th>
                                <th><?php echo lang('doctor'); ?></th>
                                <th><?php echo lang('profile'); ?></th>
                                <th><?php echo lang('designation'); ?></th>
                                <th><?php echo lang('department'); ?></th>
                                <th class="no-print"><?php echo lang('options'); ?></th>
                            </tr>
                        </thead>
                        <tbody>

                        <style>

                            .img_url{
                                height:20px;
                                width:20px;
                                background-size: contain; 
                                max-height:20px;
                                border-radius: 100px;
                            }

                        </style>

                        <?php foreach ($featureds as $featured) {                            
                            $doctor = $this->db->get_where('doctor', array('id' => $featured->name))->row();
                            ?>
                            <tr class="">
                                <td style="width:10%;"><img style="width:95%;" src="<?php echo $doctor->img_url; ?>"></td>
                                <td> <?php echo $doctor->name; ?>, <?php echo lang('id'); ?>: <?php echo $doctor->id; ?></td>
                                <td><?php echo $doctor->profile; ?></td>
                                <td class=""><?php echo $doctor->designation; ?></td>
                                <td class=""><?php echo $doctor->department; ?></td>
                                <td class="no-print">  
                                    <a class="btn btn-info btn-xs btn_width delete_button" title="<?php echo lang('delete'); ?>" href="featured/delete?id=<?php echo $featured->id; ?>" onclick="return confirm('Are you sure you want to delete this item?');"><i class="fa fa-trash"></i> <?php echo lang('delete'); ?></a>
                                </td>
                            </tr>
                        <?php } ?>

                        </tbody>
                    </table>
                </div>
            </div>
        </section>
        <!-- page end-->
    </section>
</section>
<!--main content end-->
<!--footer start-->



<script type="text/javascript">
                                        $(document).ready(function () {
                                            $(".editbutton").click(function (e) {
                                                e.preventDefault(e);
                                                // Get the record's ID via attribute  
                                                var iid = $(this).attr('data-id');
                                                $('#editFeaturedForm').trigger("reset");
                                                $("#img").attr("src", "uploads/cardiology-patient-icon-vector-6244713.jpg");
                                                $.ajax({
                                                    url: 'featured/editFeaturedByJason?id=' + iid,
                                                    method: 'GET',
                                                    data: '',
                                                    dataType: 'json',
                                                }).success(function (response) {
                                                    // Populate the form fields with the data returned from server
                                                    $('#editFeaturedForm').find('[name="id"]').val(response.featured.id).end()
                                                    $('#editFeaturedForm').find('[name="name"]').val(response.featured.name).end()
                                                    $('#editFeaturedForm').find('[name="profile"]').val(response.featured.profile).end()

                                                    CKEDITOR.instances['editor'].setData(response.featured.description)

                                                    if (typeof response.featured.img_url !== 'undefined' && response.featured.img_url != '') {
                                                        $("#img").attr("src", response.featured.img_url);
                                                    }

                                                    $('#myModal2').modal('show');
                                                });
                                            });
                                        });
</script>




<script>
    $(document).ready(function () {
        var table = $('#editable-sample').DataTable({
            responsive: true,

            dom: "<'row'<'col-sm-3'l><'col-sm-5 text-center'B><'col-sm-4'f>>" +
                    "<'row'<'col-sm-12'tr>>" +
                    "<'row'<'col-sm-5'i><'col-sm-7'p>>",
            buttons: [
                'copyHtml5',
                'excelHtml5',
                'csvHtml5',
                'pdfHtml5',
                {
                    extend: 'print',
                    exportOptions: {
                        columns: [1, 2, 3, 4],
                    }
                },
            ],

            aLengthMenu: [
                [10, 25, 50, 100, -1],
                [10, 25, 50, 100, "All"]
            ],
            iDisplayLength: -1,
            "order": [[0, "desc"]],

            "language": {
                "lengthMenu": "_MENU_",
                search: "_INPUT_",
                "url": "common/assets/DataTables/languages/<?php echo $this->language; ?>.json"
            }
        });
        table.buttons().container().appendTo('.custom_buttons');

    });
</script>






<script>
    $(document).ready(function () {
        $(".flashmessage").delay(3000).fadeOut(100);
    });
</script>
